Skip to main content

Purge building block

DELETE 

/api/meshobjects/meshbuildingblocks/:uuid/purge

Force purge a meshBuildingBlock immediately without waiting for deletion process. The deletion mode of the meshBuildingBlock's version is ignored and the meshBuildingBlock is deleted from meshStack without removing its cloud resources. Cleaning those up is up to the team that owns the building block definition. Only admins and the workspace that owns the building block definition may purge. The purge is asynchronous; the meshBuildingBlock then moves to the lifecycle state DELETED and stays retrievable.

Request​

Responses​

Force purge accepted